
Name:    sweeper 
Summary: Clean unwanted traces the user leaves on the system 
Version: 4.8.3
Release: 1%{?dist}

License: GPLv2+
URL:     https://projects.kde.org/projects/kde/kdeutils/%{name}
#URL:     http://utils.kde.org/projects/%{name}
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

## upstreamable patches
Patch50: sweeper-4.7.90-desktop_docpath.patch

BuildRequires: desktop-file-utils
BuildRequires: kdelibs4-devel >= %{version}

# when split occured
Conflicts: kdeutils-common < 6:4.7.80

Obsoletes: kdeutils-sweeper < 6:4.7.80
Provides:  kdeutils-sweeper = 6:%{version}-%{release}

%{?_kde4:Requires: kdelibs4%{?_isa} >= %{_kde4_version}}


%description
Sweeper helps to clean unwanted traces the user leaves on the system.


%prep
%setup -q -n %{name}-%{version}

%patch50 -p1 -b .desktop_docpath


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde --without-mo


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop


%files -f %{name}.lang
%{_kde4_bindir}/sweeper
%{_kde4_appsdir}/sweeper/
%{_kde4_datadir}/applications/kde4/sweeper.desktop
%{_datadir}/dbus-1/interfaces/org.kde.sweeper.xml


%changelog
* Mon Apr 30 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.3-1
- 4.8.3

* Fri Mar 30 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.2-1
- 4.8.2

* Mon Mar 05 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.1-1
- 4.8.1

* Sun Jan 22 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.0-1
- 4.8.0

* Wed Jan 04 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.7.97-1
- 4.7.97

* Thu Dec 22 2011 Radek Novacek <rnovacek@redhat.com> - 4.7.95-1
- 4.7.95

* Wed Dec 14 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.90-2
- sweeper.desktop: fix X-DocPath

* Thu Dec 08 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.90-1
- 4.7.90

* Sat Nov 26 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.80-1
- first try

